%define realname fdisk

Name: gfdisk
Version: 0.9.2
Release: alt2
Summary: The GNU version of fdisk
License: GPL
Group: System/Configuration/Hardware
Url: http://www.gnu.org/software/fdisk
Packager: Alexey Gladkov <legion@altlinux.ru>

Source: http://ftp.gnu.org/gnu/fdisk/%realname-%version.tar.bz2
Patch0: fdisk-0.9.2-sigserv-fix.patch

# Automatically added by buildreq on Fri Apr 06 2007
BuildRequires: libncurses-devel libparted-devel libuuid-devel

%description
Small partitioning program with command line interface, that will be hard
for linux newbie, but it is extra stable, and you can trust it.

%package -n gcfdisk
Summary: The GNU version of cfdisk
Group: System/Configuration/Hardware

%description -n gcfdisk
Small user-friendly ncurses-based partitioning program, which will help you
to partition your disk easily.

%prep
%setup -q -n %realname-%version
%patch0 -p1 -b .fix1

%build
%add_optflags %optflags_warnings -Wunused-function -Wunused-label -Wunused-variable -Wunused-value
%configure
%make_build

%install
%makeinstall

cd %buildroot
rm -f -- .%_sbindir/{gfdisk,lfdisk}

find .%_sbindir .%_infodir .%_man8dir -name '*fdisk*' |while read f; do cd "${f%%/*}"; mv -vf -- "${f##*/}" "g${f##*/}"; cd -; done

%files
%_sbindir/gfdisk
%_infodir/gfdisk*
%_man8dir/gfdisk*

%files -n gcfdisk
%_sbindir/gcfdisk
%_infodir/gcfdisk*
%_man8dir/gcfdisk*

%changelog
* Tue Apr 17 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.2-alt2
- Fix SIGSERV (patch0).

* Fri Apr 06 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.2-alt1
- first build for ALT Linux.
